Main Page | Namespace List | Class Hierarchy | Alphabetical List | Compound List | File List | Namespace Members | Compound Members | File Members

# Lamp::CameraAnimation Class Reference

カメラアニメーション More...

`#include <CameraAnimation.h>`

Inheritance diagram for Lamp::CameraAnimation:

List of all members.

## Public Member Functions
virtual AnimationData * | getAnimationData ()
| アニメーションデータの取得
virtual const AnimationData * | getAnimationData () const
| アニメーションデータの取得
virtual void | setCameraAnimationData (CameraAnimationData *animationData)
| カメラアニメーションデータの設定
virtual CameraAnimationData * | getCameraAnimationData ()
| カメラアニメーションデータの取得
virtual const CameraAnimationData * | getCameraAnimationData () const
| カメラアニメーションデータの取得
virtual bool | bind (Scene *scene)
| バインド
virtual bool | bind (Camera *camera)
| バインド
virtual void | unbind ()
| バインド解除
virtual Camera * | getTarget () const
| ターゲットの取得
virtual bool | animate (float deltaTime, AnimationMask mask)
| アニメーション
virtual Animation * | copy (DataCopyMask dataCopyMask=copyNone) const
| コピー
virtual CameraAnimation * | copyCameraAnimation (DataCopyMask dataCopyMask=copyNone) const
| カメラアニメーションのコピー
virtual bool | isCameraAnimation () const
| カメラアニメーションかどうか
## Protected Member Functions
| CameraAnimation (String name, AnimationManager *manager)
| コンストラクタ
virtual | ~CameraAnimation ()
| デストラクタ
## Friends
class | AnimationManager

## Detailed Description

カメラアニメーション

Definition at line 39 of file CameraAnimation.h.

## Constructor & Destructor Documentation

Lamp::CameraAnimation::CameraAnimation | ( | String | name,
|  | AnimationManager * | manager
| ) | `[protected]`

  | コンストラクタ Parameters:
  name | 名前
  manager | アニメーションマネージャ
Definition at line 35 of file CameraAnimation.cpp. References NULL.

## Member Function Documentation

bool Lamp::CameraAnimation::animate | ( | float | deltaTime,
|  | AnimationMask | mask
| ) | `[virtual]`

  | アニメーション Parameters:
  deltaTime | デルタタイム
  mask | アニメーションマスク
Returns: アニメーションが終了していればtrue Implements Lamp::Animation. Definition at line 64 of file CameraAnimation.cpp. References ErrorOut, Lamp::RotationInterpolator::eulerInterpolate(), getCameraAnimationData(), Lamp::CameraAnimationData::getRotation(), Lamp::ObjectAnimation::getSequence(), Lamp::CameraAnimationData::getTranslation(), Lamp::Animation::increasesTime(), Lamp::VectorInterpolator::interpolate(), Lamp::Animation::isEnabled(), Lamp::RotationInterpolator::isEulerInterpolator(), Lamp::ObjectAnimation::isFinished(), Lamp::RotationInterpolator::isQuaternionInterpolator(), Lamp::Animation::maskCamera, NULL, Lamp::RotationInterpolator::quaternionInterpolate(), and Lamp::Camera::setTransformation().

bool Lamp::CameraAnimation::bind | ( | Camera * | camera | ) | `[virtual]`

  | バインド Parameters:
  camera | バインド対象カメラ
Returns: 成功すればtrue Definition at line 56 of file CameraAnimation.cpp. References Lamp::SceneObject::getName(), NULL, and Lamp::ObjectAnimation::setTargetName().

bool Lamp::CameraAnimation::bind | ( | Scene * | scene | ) | `[virtual]`

  | バインド Parameters:
  scene | バインド対象シーン
Returns: 成功すればtrue Implements Lamp::Animation. Definition at line 44 of file CameraAnimation.cpp. References Lamp::Scene::getCameraManager(), Lamp::String::getSize(), Lamp::ObjectAnimation::getTargetName(), NULL, and Lamp::SceneObjectManagerTemplate< Camera >::search(). Referenced by copyCameraAnimation().

virtual Animation* Lamp::CameraAnimation::copy | ( | DataCopyMask | dataCopyMask = copyNone | ) | const`[inline, virtual]`

  | コピー Parameters:
  dataCopyMask | データコピーマスク
Returns: コピーされたアニメーション Implements Lamp::Animation. Definition at line 135 of file CameraAnimation.h. References copyCameraAnimation().

CameraAnimation * Lamp::CameraAnimation::copyCameraAnimation | ( | DataCopyMask | dataCopyMask = copyNone | ) | const`[virtual]`

  | カメラアニメーションのコピー Parameters:
  dataCopyMask | データコピーマスク
Returns: コピーされたアニメーション Definition at line 106 of file CameraAnimation.cpp. References Lamp::AnimationData::addReference(), animationData_, bind(), Lamp::Animation::copyCamera, Lamp::CameraAnimationData::copyCameraAnimationData(), Lamp::ObjectAnimation::copyObjectAnimationValue(), Lamp::AnimationManager::createCamera(), Lamp::Animation::getManager(), and Lamp::Animation::getName(). Referenced by copy().

virtual const AnimationData* Lamp::CameraAnimation::getAnimationData | ( |  | ) | const`[inline, virtual]`

| アニメーションデータの取得 Returns: アニメーションデータ Implements Lamp::ObjectAnimation. Definition at line 55 of file CameraAnimation.h.

virtual AnimationData* Lamp::CameraAnimation::getAnimationData | ( |  | ) | `[inline, virtual]`

| アニメーションデータの取得 Returns: アニメーションデータ Implements Lamp::ObjectAnimation. Definition at line 49 of file CameraAnimation.h. Referenced by Lamp::TextAnimationSaver::writeCameraAnimationLink(), and Lamp::BinaryAnimationSaver::writeCameraAnimationLink().

virtual const CameraAnimationData* Lamp::CameraAnimation::getCameraAnimationData | ( |  | ) | const`[inline, virtual]`

| カメラアニメーションデータの取得 Returns: カメラアニメーションデータ Definition at line 84 of file CameraAnimation.h.

virtual CameraAnimationData* Lamp::CameraAnimation::getCameraAnimationData | ( |  | ) | `[inline, virtual]`

| カメラアニメーションデータの取得 Returns: カメラアニメーションデータ Definition at line 76 of file CameraAnimation.h. Referenced by animate(), and Lamp::AnimationCompressor::compressCameraAnimation().

virtual Camera* Lamp::CameraAnimation::getTarget | ( |  | ) | const`[inline, virtual]`

| ターゲットの取得 Returns: ターゲット Definition at line 114 of file CameraAnimation.h.

virtual bool Lamp::CameraAnimation::isCameraAnimation | ( |  | ) | const`[inline, virtual]`

| カメラアニメーションかどうか Returns: カメラアニメーションならtrue Reimplemented from Lamp::Animation. Definition at line 154 of file CameraAnimation.h.

virtual void Lamp::CameraAnimation::setCameraAnimationData | ( | CameraAnimationData * | animationData | ) | `[inline, virtual]`

  | カメラアニメーションデータの設定 Parameters:
  animationData | カメラアニメーションデータ
Definition at line 66 of file CameraAnimation.h. References Lamp::AnimationData::addReference(), NULL, and Lamp::AnimationData::removeReference(). Referenced by Lamp::BinaryAnimationLoader::readCameraAnimationLink(), and Lamp::TextAnimationLoader::readCameraLinkList().

The documentation for this class was generated from the following files:

- CameraAnimation.h
- CameraAnimation.cpp